GNU bug report logs - #28183
Customize always reports error when trying to enter characters to Whitespace Mode display mappings

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andrew Toskin <andrew.toskin@HIDDEN>; merged with #15925, #21771, #31869; dated Tue, 22 Aug 2017 04:56:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 15925 21771 28183 31869. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 28183 <at> debbugs.gnu.org:


Received: (at 28183) by debbugs.gnu.org; 30 Aug 2017 03:21:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 29 23:21:23 2017
Received: from localhost ([127.0.0.1]:33072 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dmtZD-00050o-8a
	for submit <at> debbugs.gnu.org; Tue, 29 Aug 2017 23:21:23 -0400
Received: from mail-it0-f48.google.com ([209.85.214.48]:36299)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1dmtZB-00050a-9q
 for 28183 <at> debbugs.gnu.org; Tue, 29 Aug 2017 23:21:21 -0400
Received: by mail-it0-f48.google.com with SMTP id o132so1477448itc.1
 for <28183 <at> debbugs.gnu.org>; Tue, 29 Aug 2017 20:21:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=B7/XU5CAkTTR5j/sxhySL3GEFZz93tgxf0VypbbFXf0=;
 b=DrFLLvUzqBF8i0OJjBwX9en6y7hyd2Ll8g1NnM+D7hbQXfm9Fsvgma0C+YTXAxL8Gv
 i7Z1AOpPcFuaELhkeEoQJRuuSNFiuNeDPqvgWNWt5jSebL8mAG9r3n+XQJPQ70fMDJgq
 JezHC9p7unj9TcOFYAzloLK6pNX41LRw56oDVPwTz13Nuntwnxk5ZgYZtQBgec4KtUV4
 6n39F3BTdPMuRGA7b2sB11zz1usmXSXA5t7DbCuduBbEuqCaU9K9KUBkUou0Cddq/av4
 bsb5TYHXwd/JwFP5btuhtaUa/IFP/tOyX76hTN+PQBkvL8rj/eKiXH+liAiB/2z/zPVH
 MNJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=B7/XU5CAkTTR5j/sxhySL3GEFZz93tgxf0VypbbFXf0=;
 b=qNhZW+Pj1zSz7mFISBolaevCpnPiHLvQ093AMR+PgKs6CDZs/tSAgcGrjjrea02CYi
 Hc1OJD5zEz4GSgU8JK/1GkvC96XAqZB2vF5+VTrUS7FsIr5jOSXNrkptqDoNzAWfOsre
 1CvzvFLUuaUk6pNRAj0IAim1g0fycifVE965Q90vmEy9RoMC/N3vqaHNpqlR265eRy6P
 x8RL0aFqimlJCH/dJrsdzzlAgMBxTSrcoWMlfDmyc4jHdQEvpbSfbVkXosW/HCjKEvoP
 7RywfSmb2HFdy4clLc1Z4Un7cqvVU8a7jJS76QnVM9yNrWsGKOrGot+yTEm7vNB3SfnC
 wSTg==
X-Gm-Message-State: AHYfb5iAKqsKfq6TjdDrqXdTB/ojqal/kDiRR7c9xk3AAEQmKK/Aj3YI
 pkV00zn7xQNn8IwT
X-Received: by 10.36.162.65 with SMTP id o1mr151523iti.155.1504063275573;
 Tue, 29 Aug 2017 20:21:15 -0700 (PDT)
Received: from zony ([45.2.119.49])
 by smtp.googlemail.com with ESMTPSA id 80sm247201itk.11.2017.08.29.20.21.14
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 29 Aug 2017 20:21:14 -0700 (PDT)
From: npostavs@HIDDEN
To: Andrew Toskin <andrew.toskin@HIDDEN>
Subject: Re: bug#28183: Customize always reports error when trying to enter
 characters to Whitespace Mode display mappings
References: <CALxGmchWnBK88TpKMDt=3O3Cfka5iMTj=FbssCzTnVZGJ4uG9Q@HIDDEN>
 <CALxGmcibB=Oqg-a1=toD7mV=Erbqwfjn5bUTHVYTE+hm722jhw@HIDDEN>
Date: Tue, 29 Aug 2017 23:22:55 -0400
In-Reply-To: <CALxGmcibB=Oqg-a1=toD7mV=Erbqwfjn5bUTHVYTE+hm722jhw@HIDDEN>
 (Andrew Toskin's message of "Tue, 29 Aug 2017 20:11:31 -0700")
Message-ID: <87a82h91tc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 28183
Cc: 28183 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Andrew Toskin <andrew.toskin@HIDDEN> writes:

> Bump.
>
> Any ideas?

There seems to be a suggestion for a fix in
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=15925#11.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28183; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Aug 2017 03:12:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 29 23:12:06 2017
Received: from localhost ([127.0.0.1]:33066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dmtQE-0004mf-7K
	for submit <at> debbugs.gnu.org; Tue, 29 Aug 2017 23:12:06 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42982)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <summerfallsaway@HIDDEN>) id 1dmtQB-0004m7-Ml
 for submit <at> debbugs.gnu.org; Tue, 29 Aug 2017 23:12:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <summerfallsaway@HIDDEN>) id 1dmtQ5-0008Jd-6x
 for submit <at> debbugs.gnu.org; Tue, 29 Aug 2017 23:11:58 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46173)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <summerfallsaway@HIDDEN>)
 id 1dmtQ5-0008JZ-3E
 for submit <at> debbugs.gnu.org; Tue, 29 Aug 2017 23:11:57 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33953)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <summerfallsaway@HIDDEN>) id 1dmtQ3-0002U8-Lz
 for bug-gnu-emacs@HIDDEN; Tue, 29 Aug 2017 23:11:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <summerfallsaway@HIDDEN>) id 1dmtQ2-0008IO-F4
 for bug-gnu-emacs@HIDDEN; Tue, 29 Aug 2017 23:11:55 -0400
Received: from mail-io0-x22f.google.com ([2607:f8b0:4001:c06::22f]:38709)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <summerfallsaway@HIDDEN>)
 id 1dmtQ2-0008Hh-7a
 for bug-gnu-emacs@HIDDEN; Tue, 29 Aug 2017 23:11:54 -0400
Received: by mail-io0-x22f.google.com with SMTP id 81so1224186ioj.5
 for <bug-gnu-emacs@HIDDEN>; Tue, 29 Aug 2017 20:11:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to; bh=K4iHumxM1NqUaIaN/W+f9H9o+ajpqrY04IsLiuxDwHg=;
 b=ZB9Y6PP1u7Wbop7/9xSzbSO6ZJccxZkC/Kc28u7IIDprc5uC4mnXzbsPwKHLIheGQ8
 bbwKLqEdrl65H4PbABfbk62p/ax3D4ZomLoEVunKdV03H+IHFFXStrcUvCswCT+IvXz7
 qxNGoj7+KJ8befnghEnQqKMSbtX67sDMTQcwfpaODcMZtWkAwjlA8UaxuTsJTVOeGVz4
 LZdMUBtORxe3MBM1sVlXOoK9lQmtPAFzYQnVqSSgEe1ogBDa4e4/ONKkUzulGz/J/mY6
 5yG15wmVSmimGLC2+QVB1eMlKzlev1Wf2ZI5SxwwGpRwhnJscMGJEXCgkTgymR2JijUa
 ucjg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to;
 bh=K4iHumxM1NqUaIaN/W+f9H9o+ajpqrY04IsLiuxDwHg=;
 b=nRpC1cl1BbkcoWTm3obbTRC98gCb7hE4iUO5oJKSX3LCu8OqacKaSZTVeT/5q7ciMW
 BvgHkojOBd8FSj/rC2/rd+02rqyJjTLyg5JUTBNjMSBEdAg7LNaYmXz7oWlK13unDkDE
 YbW4kjK/oZzuHSqmmZ42YlJc3xcn8yRnL4/Xwuyw7KcQ6fxKLqaR0ofDuOKsDZTv9EKR
 6xOGLSUjR3rMmBgHjsXr6XmfzIaO4VkQmd2lntPgJLGhOd/MwHnPM+/8DBLwXjNnfYSe
 C1IlRwcT+ya7RCW0E5sXtBhl/m3SiBiBiJR3cR0R19IecRqeqGA3dttNYgh6GOvDyYyc
 15gw==
X-Gm-Message-State: AHPjjUh2P5MPE+Pil9Qsn3VEUmGbDb3XRPAmL9AfDt9/Tb+R6BB6CdZM
 NfEHgdCwTBE0uck5egofNB8rtn6QVBMb
X-Received: by 10.107.13.143 with SMTP id 137mr102741ion.94.1504062712063;
 Tue, 29 Aug 2017 20:11:52 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.79.149.3 with HTTP; Tue, 29 Aug 2017 20:11:31 -0700 (PDT)
In-Reply-To: <CALxGmchWnBK88TpKMDt=3O3Cfka5iMTj=FbssCzTnVZGJ4uG9Q@HIDDEN>
References: <CALxGmchWnBK88TpKMDt=3O3Cfka5iMTj=FbssCzTnVZGJ4uG9Q@HIDDEN>
From: Andrew Toskin <andrew.toskin@HIDDEN>
Date: Tue, 29 Aug 2017 20:11:31 -0700
X-Google-Sender-Auth: nuKxjTp-hwWbi4nQ9lRm02hqWV8
Message-ID: <CALxGmcibB=Oqg-a1=toD7mV=Erbqwfjn5bUTHVYTE+hm722jhw@HIDDEN>
Subject: Re: Customize always reports error when trying to enter characters to
 Whitespace Mode display mappings
To: GNU Emacs Bug Tracker <bug-gnu-emacs@HIDDEN>
Content-Type: multipart/alternative; boundary="001a113fe08aac2e740557efe3db"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a113fe08aac2e740557efe3db
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Bump.

Any ideas?


On Mon, Aug 21, 2017 at 9:54 PM, Andrew Toskin <andrew.toskin@HIDDEN>
wrote:

> ## The problem
>
> Customize throws an error when trying to set characters in the Whitespace
> Mode display mappings. When I paste the symbols I want into the Customize
> fields, it says "This field should contain a single character." Even
> though I've only deleted and entered a single character! There's a lot mo=
re
> documentation about the syntax of setting the variable in code than throu=
gh
> the Customize interface, so I'm not sure if Customize is broken or if I'm
> misunderstanding something. But when trying to edit more than one display
> mapping, this error is at least vague and unhelpful.
>
>
> ## My system setup
>
> * Fedora 26 Workstation x86_64
> * Emacs 25.2.1 in an X window, with GTK+ 3.22.16
> * Whitespace Mode 13.2.2 (packaged with Emacs, in Fedora)
>
>
> ## Steps to reproduce
>
> 1. Launch Emacs without any other configuration (`emacs --quick`).
> 2. Execute Customize and search for Whitespace Display Mappings.
> 3. Edit the character mapping. For example, delete the default "$" used
> for newlines, and paste "=E2=86=B5" (U+21b5 "Downwards Arrow With Corner =
Leftward").
> 4. Click Apply. See the error in the mode line at the bottom of Emacs
>
> I thought at first that Customize wasn't accepting Unicode characters tha=
t
> might be more than a single byte, but I actually tried resetting all
> mappings to default, then editing the newline mapping to replace the
> default "$" with another ASCII character, "&", and it **still** says "Thi=
s
> field should contain a single character."
>
> I ended up setting the display mapping manually from my config file.
>
>   (setq whitespace-display-mappings '(
>         ;; Plain space: =C2=B7 or .
>         (space-mark   32  [183]     [46]            )
>         ;; Non-breaking "hard" space: =E2=80=A2 or _
>         (space-mark   160 [8226]    [95]            )
>         ;; Newline: =E2=86=B5 or =C2=AC or $
>         (newline-mark 10  [8629 10] [172 10] [36 10])
>         ;; Tab: =E2=87=A5 or =C2=BB or \
>         (tab-mark     9   [8677 9]  [187 9]  [92 9] )))
>
> **This** works as expected.
>
> But I can't figure out why I couldn't do this in Customize. What do you
> think?
>
> Thank,
> ~ Andrew
>

--001a113fe08aac2e740557efe3db
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Bump.<br><br>Any ideas?<br><br></div><div class=3D"gmail_e=
xtra"><br><div class=3D"gmail_quote">On Mon, Aug 21, 2017 at 9:54 PM, Andre=
w Toskin <span dir=3D"ltr">&lt;<a href=3D"mailto:andrew.toskin@HIDDEN" t=
arget=3D"_blank">andrew.toskin@HIDDEN</a>&gt;</span> wrote:<br><blockquo=
te class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc so=
lid;padding-left:1ex"><div dir=3D"ltr"><div>## The problem</div><div><br></=
div><div>Customize throws an error when trying to set characters in the Whi=
tespace Mode display mappings. When I paste the symbols I want into the Cus=
tomize fields, it says &quot;<span style=3D"font-family:monospace,monospace=
">This field should contain a single character.</span>&quot; Even though I&=
#39;ve only deleted and entered a single character! There&#39;s a lot more =
documentation about the syntax of setting the variable in code than through=
 the Customize interface, so I&#39;m not sure if Customize is broken or if =
I&#39;m misunderstanding something. But when trying to edit more than one d=
isplay mapping, this error is at least vague and unhelpful.</div><div><br><=
/div><div><br></div><div>## My system setup</div><div><br></div><div>* Fedo=
ra 26 Workstation x86_64</div><div>* Emacs 25.2.1 in an X window, with GTK+=
 3.22.16</div><div>* Whitespace Mode 13.2.2 (packaged with Emacs, in Fedora=
)<br></div><div><br></div><div><br></div><div>## Steps to reproduce</div><d=
iv><br></div><div>1. Launch Emacs without any other configuration (`<span s=
tyle=3D"font-family:monospace,monospace">emacs --quick</span>`).</div><div>=
2. Execute Customize and search for Whitespace Display Mappings.</div><div>=
3. Edit the character mapping. For example, delete the default &quot;$&quot=
; used for newlines, and paste &quot;=E2=86=B5&quot; (U+21b5 &quot;Downward=
s Arrow With Corner Leftward&quot;).</div><div>4. Click Apply. See the erro=
r in the mode line at the bottom of Emacs<br></div><div><br></div><div>I th=
ought at first that Customize wasn&#39;t accepting Unicode characters that =
might be more than a single byte, but I actually tried resetting all mappin=
gs to default, then editing the newline mapping to replace the default &quo=
t;$&quot; with another ASCII character, &quot;&amp;&quot;, and it <i>*still=
*</i> says &quot;<span style=3D"font-family:monospace,monospace">This field=
 should contain a single character.</span>&quot;<br></div><div><br></div><d=
iv>I ended up setting the display mapping manually from my config file.</di=
v><div><br></div><div><span style=3D"font-family:monospace,monospace">=C2=
=A0 (setq whitespace-display-mappings &#39;(<br>=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0 ;; Plain space: =C2=B7 or .<br>=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0 (space-mark=C2=A0=C2=A0 32=C2=A0 [183]=C2=A0=C2=A0=C2=A0=C2=
=A0 [46]=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 =
)<br>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ;; Non-breaking &quot;hard&=
quot; space: =E2=80=A2 or _<br>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (=
space-mark=C2=A0=C2=A0 160 [8226]=C2=A0=C2=A0=C2=A0 [95]=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 )<br>=C2=A0=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0=C2=A0 ;; Newline: =E2=86=B5 or =C2=AC or $<br>=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (newline-mark 10=C2=A0 [8629 10] [172 10] [3=
6 10])<br>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ;; Tab: =E2=87=A5 or =
=C2=BB or \<br>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (tab-mark=C2=A0=
=C2=A0=C2=A0=C2=A0 9=C2=A0=C2=A0 [8677 9]=C2=A0 [187 9]=C2=A0 [92 9] )))</s=
pan><br></div><div><br></div><div><i>*This*</i> works as expected.</div><di=
v><br></div><div>But I can&#39;t figure out why I couldn&#39;t do this in C=
ustomize. What do you think?<br></div><div><br></div><div>Thank,</div><div>=
~ Andrew<br></div></div>
</blockquote></div><br></div>

--001a113fe08aac2e740557efe3db--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28183; Package emacs. Full text available.
Merged 15925 21771 28183. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 15925 28183. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Aug 2017 04:55:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 22 00:55:43 2017
Received: from localhost ([127.0.0.1]:48478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dk1E6-0006ka-Tu
	for submit <at> debbugs.gnu.org; Tue, 22 Aug 2017 00:55:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <summerfallsaway@HIDDEN>) id 1dk1D6-0006ij-Mk
 for submit <at> debbugs.gnu.org; Tue, 22 Aug 2017 00:54:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <summerfallsaway@HIDDEN>) id 1dk1D0-0007DF-74
 for submit <at> debbugs.gnu.org; Tue, 22 Aug 2017 00:54:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57794)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <summerfallsaway@HIDDEN>)
 id 1dk1D0-0007D9-3Z
 for submit <at> debbugs.gnu.org; Tue, 22 Aug 2017 00:54:34 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60929)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <summerfallsaway@HIDDEN>) id 1dk1Cy-00060X-Np
 for bug-gnu-emacs@HIDDEN; Tue, 22 Aug 2017 00:54:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <summerfallsaway@HIDDEN>) id 1dk1Cx-0007CU-JK
 for bug-gnu-emacs@HIDDEN; Tue, 22 Aug 2017 00:54:32 -0400
Received: from mail-io0-x235.google.com ([2607:f8b0:4001:c06::235]:34753)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <summerfallsaway@HIDDEN>)
 id 1dk1Cx-0007CC-DU
 for bug-gnu-emacs@HIDDEN; Tue, 22 Aug 2017 00:54:31 -0400
Received: by mail-io0-x235.google.com with SMTP id g135so19876553iog.1
 for <bug-gnu-emacs@HIDDEN>; Mon, 21 Aug 2017 21:54:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:from:date:message-id:subject:to;
 bh=JA2ZP/Ysvud8S0dPmj4OrCPPHDktL17sv2Jg5SWmAHY=;
 b=USiIcTwJoUiHJ0BDFV1iN0iaJilTFGkNa2WYFrdl5m1OkcX96GGnk66uiP/GmkyHj+
 7BmiCkoKQHP+B/s30ngzRuM69OQj+h8ilFS3fg7gaTwxyP9PbNJuMrG+dMbUgfcM7pU7
 fnLkvofVN79L9bEA7JKHjeGhHRtXkyH8uGFqiOEI5B9mkinJwuIL2kgndNBkp9MamgCf
 nZhyEO3DD2YLkzMMry/jebGUV4zzXCrSgoK8b95jEm7uCaL6Gkg3kywVXnpM884rD+yK
 nHLe0X0tv9l4nDwAl/yzWexMoYtw+89qWmbCguag8UUXPQ+3zebqlOeUZuxVJhpXF41+
 394Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:from:date:message-id:subject
 :to; bh=JA2ZP/Ysvud8S0dPmj4OrCPPHDktL17sv2Jg5SWmAHY=;
 b=BqYcS6jlDkssav8uU8ujYsWbpPlbDZ9LNFLPven1mZP9nfgG++6Z7JDAn6yj06kngc
 OGEOmzktbUm9VKTwg7CcTTcfgT+EL93GBkiRt9zYR5QSUYVf167Prpsvw0oXQ0vXecal
 PpgQW924n5qxXF3F0UvOOupMkW0rNZXnnqkZkYJLMrG5lL+sXnwdl7p7PCqHXPc91J/7
 pXiegRWA2c+e5nEo+3y1+fzgPkKABL4MVIkx0jDjuuSXOMaZ1I9zjEs2wXTI6CZ08/fr
 GgLzzNI/CwPqkqBWRV2qggDTFHEbWBRNXRfXpBlXsgWfl/7ye5oGTvhxGGwU4ISnuO2A
 m35Q==
X-Gm-Message-State: AHYfb5hW8ZYV8dijdsS9+c7XNqD8Vj/z92zvg2+zpeUt1zP66bb8O8VT
 AcqxvOutSjRTljHZkw4F72dfqeDOqKKYAcg=
X-Received: by 10.107.4.142 with SMTP id 136mr17381053ioe.251.1503377668910;
 Mon, 21 Aug 2017 21:54:28 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.79.149.3 with HTTP; Mon, 21 Aug 2017 21:54:08 -0700 (PDT)
From: Andrew Toskin <andrew.toskin@HIDDEN>
Date: Mon, 21 Aug 2017 21:54:08 -0700
X-Google-Sender-Auth: pBHdANkEB6rA4XWaHKNvUZZ9w_8
Message-ID: <CALxGmchWnBK88TpKMDt=3O3Cfka5iMTj=FbssCzTnVZGJ4uG9Q@HIDDEN>
Subject: Customize always reports error when trying to enter characters to
 Whitespace Mode display mappings
To: GNU Emacs Bug Tracker <bug-gnu-emacs@HIDDEN>
Content-Type: multipart/alternative; boundary="001a113ee9daeb35870557506370"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 22 Aug 2017 00:55:41 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a113ee9daeb35870557506370
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

## The problem

Customize throws an error when trying to set characters in the Whitespace
Mode display mappings. When I paste the symbols I want into the Customize
fields, it says "This field should contain a single character." Even though
I've only deleted and entered a single character! There's a lot more
documentation about the syntax of setting the variable in code than through
the Customize interface, so I'm not sure if Customize is broken or if I'm
misunderstanding something. But when trying to edit more than one display
mapping, this error is at least vague and unhelpful.


## My system setup

* Fedora 26 Workstation x86_64
* Emacs 25.2.1 in an X window, with GTK+ 3.22.16
* Whitespace Mode 13.2.2 (packaged with Emacs, in Fedora)


## Steps to reproduce

1. Launch Emacs without any other configuration (`emacs --quick`).
2. Execute Customize and search for Whitespace Display Mappings.
3. Edit the character mapping. For example, delete the default "$" used for
newlines, and paste "=E2=86=B5" (U+21b5 "Downwards Arrow With Corner Leftwa=
rd").
4. Click Apply. See the error in the mode line at the bottom of Emacs

I thought at first that Customize wasn't accepting Unicode characters that
might be more than a single byte, but I actually tried resetting all
mappings to default, then editing the newline mapping to replace the
default "$" with another ASCII character, "&", and it **still** says "This
field should contain a single character."

I ended up setting the display mapping manually from my config file.

  (setq whitespace-display-mappings '(
        ;; Plain space: =C2=B7 or .
        (space-mark   32  [183]     [46]            )
        ;; Non-breaking "hard" space: =E2=80=A2 or _
        (space-mark   160 [8226]    [95]            )
        ;; Newline: =E2=86=B5 or =C2=AC or $
        (newline-mark 10  [8629 10] [172 10] [36 10])
        ;; Tab: =E2=87=A5 or =C2=BB or \
        (tab-mark     9   [8677 9]  [187 9]  [92 9] )))

**This** works as expected.

But I can't figure out why I couldn't do this in Customize. What do you
think?

Thank,
~ Andrew

--001a113ee9daeb35870557506370
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>## The problem</div><div><br></div><div>Customize thr=
ows an error when trying to set characters in the Whitespace Mode display m=
appings. When I paste the symbols I want into the Customize fields, it says=
 &quot;<span style=3D"font-family:monospace,monospace">This field should co=
ntain a single character.</span>&quot; Even though I&#39;ve only deleted an=
d entered a single character! There&#39;s a lot more documentation about th=
e syntax of setting the variable in code than through the Customize interfa=
ce, so I&#39;m not sure if Customize is broken or if I&#39;m misunderstandi=
ng something. But when trying to edit more than one display mapping, this e=
rror is at least vague and unhelpful.</div><div><br></div><div><br></div><d=
iv>## My system setup</div><div><br></div><div>* Fedora 26 Workstation x86_=
64</div><div>* Emacs 25.2.1 in an X window, with GTK+ 3.22.16</div><div>* W=
hitespace Mode 13.2.2 (packaged with Emacs, in Fedora)<br></div><div><br></=
div><div><br></div><div>## Steps to reproduce</div><div><br></div><div>1. L=
aunch Emacs without any other configuration (`<span style=3D"font-family:mo=
nospace,monospace">emacs --quick</span>`).</div><div>2. Execute Customize a=
nd search for Whitespace Display Mappings.</div><div>3. Edit the character =
mapping. For example, delete the default &quot;$&quot; used for newlines, a=
nd paste &quot;=E2=86=B5&quot; (U+21b5 &quot;Downwards Arrow With Corner Le=
ftward&quot;).</div><div>4. Click Apply. See the error in the mode line at =
the bottom of Emacs<br></div><div><br></div><div>I thought at first that Cu=
stomize wasn&#39;t accepting Unicode characters that might be more than a s=
ingle byte, but I actually tried resetting all mappings to default, then ed=
iting the newline mapping to replace the default &quot;$&quot; with another=
 ASCII character, &quot;&amp;&quot;, and it <i>*still*</i> says &quot;<span=
 style=3D"font-family:monospace,monospace">This field should contain a sing=
le character.</span>&quot;<br></div><div><br></div><div>I ended up setting =
the display mapping manually from my config file.</div><div><br></div><div>=
<span style=3D"font-family:monospace,monospace">=C2=A0 (setq whitespace-dis=
play-mappings &#39;(<br>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ;; Plain=
 space: =C2=B7 or .<br>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (space-ma=
rk=C2=A0=C2=A0 32=C2=A0 [183]=C2=A0=C2=A0=C2=A0=C2=A0 [46]=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 )<br>=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0 ;; Non-breaking &quot;hard&quot; space: =E2=80=A2 =
or _<br>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (space-mark=C2=A0=C2=A0 =
160 [8226]=C2=A0=C2=A0=C2=A0 [95]=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0 )<br>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ;;=
 Newline: =E2=86=B5 or =C2=AC or $<br>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0 (newline-mark 10=C2=A0 [8629 10] [172 10] [36 10])<br>=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ;; Tab: =E2=87=A5 or =C2=BB or \<br>=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (tab-mark=C2=A0=C2=A0=C2=A0=C2=A0 9=C2=
=A0=C2=A0 [8677 9]=C2=A0 [187 9]=C2=A0 [92 9] )))</span><br></div><div><br>=
</div><div><i>*This*</i> works as expected.</div><div><br></div><div>But I =
can&#39;t figure out why I couldn&#39;t do this in Customize. What do you t=
hink?<br></div><div><br></div><div>Thank,</div><div>~ Andrew<br></div></div=
>

--001a113ee9daeb35870557506370--




Acknowledgement sent to Andrew Toskin <andrew.toskin@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#28183; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 17 Jun 2018 16:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.